Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 193777 - Installing or updating, two schemas files don't be applied
Summary: Installing or updating, two schemas files don't be applied
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-games
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Target
TreeView+ depends on / blocked
 
Reported: 2006-06-01 15:23 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-07-26 03:24:41 UTC


Attachments (Terms of Use)

Description sangu 2006-06-01 15:23:50 UTC
Description of problem:
Installing or updating, two schemas files don't be applied
Two schemas files are gnotski.schemas and libgnomegames.schemas.
$ $ rpm -q --scripts gnome-games
[...]
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="aisleriot.schemas gataxx.schemas gnect.schemas gnobots2.schemas
gnometris.schemas gnotravex.schemas iagno.schemas same-gnome.schemas
blackjack.schemas glines.schemas gnibbles.schemas gnomine.schemas gtali.schemas
mahjongg.schemas"
for S in $SCHEMAS; do
  gconftool-2 --makefile-install-rule /etc/gconf/schemas/$S > /dev/null
done
[...]

$rpm -ql gnome-games | grep schemas
/etc/gconf/schemas/aisleriot.schemas
/etc/gconf/schemas/blackjack.schemas
/etc/gconf/schemas/gataxx.schemas
/etc/gconf/schemas/glines.schemas
/etc/gconf/schemas/gnect.schemas
/etc/gconf/schemas/gnibbles.schemas
/etc/gconf/schemas/gnobots2.schemas
/etc/gconf/schemas/gnometris.schemas
/etc/gconf/schemas/gnomine.schemas
/etc/gconf/schemas/gnotravex.schemas
/etc/gconf/schemas/gnotski.schemas             <----
/etc/gconf/schemas/gtali.schemas
/etc/gconf/schemas/iagno.schemas
/etc/gconf/schemas/libgnomegames.schemas   <----
/etc/gconf/schemas/mahjongg.schemas
/etc/gconf/schemas/same-gnome.schemas


Version-Release number of selected component (if applicable):
2.15.2-1

How reproducible:
always

Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 Matthias Clasen 2006-07-25 17:43:03 UTC
easy fix

Comment 2 Ray Strode [halfline] 2006-07-26 03:04:00 UTC
we should probably explicitly specify the schemas in the file list so future
schemas don't sneak through the cracks.

Comment 3 Matthias Clasen 2006-07-26 03:24:41 UTC
fixed in 2.15.4-3


Note You need to log in before you can comment on or make changes to this bug.